2019-12-05 22:09 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000563FSSCPgraphicspublic2008-02-22 02:37
ReporterSadisticSid 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0000563: FOV becomes warped for the death screen
DescriptionIt's been the case for probably more than a year now, but when the player dies the FOV for the death screen changes (looks like a widescreen image crushed on to a 4:3 screen). This causes some strange visual artifacts like ships suddenly disappearing off the screen prematurely - I'd assume that the game thinks the ship shouldn't be in the FOV and decides not to try rendering it at all. The same also goes for weapon effects disappearing before they reach the edge of the screen. Ships are also warped in various dimensions depending on what angle you view them from.
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0001282resolvedtaylor Clipping issues in cutscenes 
has duplicate 0001563resolvedtaylor Clipping issues in cutscenes 
+Relationships

-Notes

~0003457

taylor (administrator)

Is this with OGL and/or D3D? I know it's a problem with OGL but just haven't done anything about it yet. If it doesn't happen with D3D then I'll just take this one, otherwise I'd want to coordinate a fix with Sticks.

~0003461

SadisticSid (reporter)

I can confirm weapon effects disappear before they reach the edge of the viewable area in D3D, and background bitmaps become stretched out of their original scale too when the camera focuses on a ship going by them. The effects are clearly seen if you bump up time compression.

~0003504

Fractux (reporter)

Last edited: 2005-10-08 12:43

This FOV problem is also noticeable when using the set-cutscene-bars SEXP.

Try out the mission, as the cutscene bars fade in, the fov changes.

Once the camera turns back around to face the ship, make it fly straight up, and you'll see it disappear before reaching the edge of the screen.

The same goes for all directions.

3.6.7 Linux Build.

edited on: 10-08-05 12:43

~0003950

phreak (developer)

Anyone? Bueller?

~0003958

taylor (administrator)

Haven't had another chance to look at this. I probably won't have time for quite a while either so if someone else wants it then feel free.

~0003988

WMCoolmon (developer)

I'm almost certain it's a side effect of gr_set_clip, but I don't know what causes it.

~0003989

taylor (administrator)

At least on the OGL side what I think it's when set_clip is called (looked fine to me), the viewport is changed (looked fine to me), the frustrum is changed (properly as far as I can tell), but it could be the modelview/projection matrix getting messed up somehow. I have never had time to look any further than that, though I never ruled out some clip/viewport issue either. Don't know if that's the D3D problem as well since I'm not sure how the code works on that side. I think it's just some math issue or perhaps call order.

~0006565

taylor (administrator)

This has something to do with 2d drawing. I can pretty much fix this one problem, but not without breaking something else (mainly the HUD targetbox). Still a work in progress though, haven't given up yet.

~0006660

taylor (administrator)

Ok, 2D related problem is fixed now, as is a projection matrix fubar that I only just noticed. The death stuff still isn't 100%, maybe something wrong with the frustum, I guess. I'll keep working on it, but at least it's been identified as two different problems rather than just the one.

The camtest mission works properly now though.

~0006701

taylor (administrator)

This is partially fixed in CVS now. The distortion is fixed, but the object culling is apparently unrelated to it. I'm looking into the culling problem, then this will /finally/ be fixed. :)

~0006890

taylor (administrator)

Ok, found the second half of the problem. It's the game's own object culling which makes things not draw. The game math is based on it's own view setup, not what the OpenGL view/proj matrices are set to. This is why things get culled, OpenGL has a wider/larger view than the game math is using.

Outside of making an API specific culling function, I have no idea how else to fix this. For now I'll just go with an OpenGL culling function (when I get it working properly) and have it used instead of the game culling math when OpenGL mode is used.

~0008891

taylor (administrator)

The second half of this should be fixed thanks to Murleen's patch. :)


Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2005-09-23 07:06 SadisticSid New Issue
2005-09-23 07:30 taylor Note Added: 0003457
2005-09-24 11:17 SadisticSid Note Added: 0003461
2005-10-08 12:41 Fractux File Added: CamTest.fs2
2005-10-08 12:41 Fractux Note Added: 0003504
2005-10-08 12:43 Fractux Note Edited: 0003504
2005-11-29 18:34 phreak Note Added: 0003950
2005-11-29 23:53 taylor Note Added: 0003958
2005-12-13 19:45 WMCoolmon Note Added: 0003988
2005-12-13 20:54 taylor Note Added: 0003989
2006-05-22 14:22 taylor Status new => assigned
2006-05-22 14:22 taylor Assigned To => taylor
2006-09-08 22:57 taylor Note Added: 0006565
2006-09-21 07:36 taylor Note Added: 0006660
2006-09-24 08:21 taylor Note Added: 0006701
2006-10-14 16:15 taylor Note Added: 0006890
2007-02-27 11:38 taylor Relationship added has duplicate 0001282
2008-02-22 02:36 taylor Relationship added has duplicate 0001563
2008-02-22 02:37 taylor Status assigned => resolved
2008-02-22 02:37 taylor Fixed in Version => 3.6.10
2008-02-22 02:37 taylor Resolution open => fixed
2008-02-22 02:37 taylor Note Added: 0008891
+Issue History